WP5BoxGroup Class Reference

`#include <WP5BoxGroup.h>`

Inheritance diagram for WP5BoxGroup:

## Public Member Functions

| WP5BoxGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP5Listener *listener) override
Public Member Functions inherited from WP5VariableLengthGroup
| WP5VariableLengthGroup ()
| ~WP5VariableLengthGroup () override
Public Member Functions inherited from WP5Part
virtual | ~WP5Part ()

## Protected Member Functions

void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
Protected Member Functions inherited from WP5VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getSubGroup () const
unsigned short | getSize () const

## Private Member Functions

| WP5BoxGroup (const WP5BoxGroup &)
WP5BoxGroup & | operator= (const WP5BoxGroup &)

## Private Attributes

unsigned short | m_boxNumber
unsigned char | m_positionAndType
unsigned char | m_alignment
unsigned short | m_width
unsigned short | m_height
unsigned short | m_x
unsigned short | m_y
unsigned char | m_boxType
unsigned short | m_graphicsOffset
const librevenge::RVNGBinaryData * | m_data

## Additional Inherited Members

Static Public Member Functions inherited from WP5VariableLengthGroup
static WP5VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP5Part
static WP5Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Constructor & Destructor Documentation

## WP5BoxGroup() [1/2]

WP5BoxGroup::WP5BoxGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

Referenced by operator=(), and WP5BoxGroup().

## WP5BoxGroup() [2/2]

WP5BoxGroup::WP5BoxGroup | ( | const WP5BoxGroup & |  | ) |

private

## Member Function Documentation

## _readContents()

void WP5BoxGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

override protected virtual

Reimplemented from WP5VariableLengthGroup.

## operator=()

WP5BoxGroup & WP5BoxGroup::operator= | ( | const WP5BoxGroup & |  | ) |

private

## parse()

void WP5BoxGroup::parse | ( | WP5Listener * | listener | ) |

override virtual

Implements WP5Part.

## Member Data Documentation

## m_alignment

unsigned char WP5BoxGroup::m_alignment

private

Referenced by _readContents(), parse(), and WP5BoxGroup().

## m_boxNumber

unsigned short WP5BoxGroup::m_boxNumber

private

Referenced by _readContents(), and WP5BoxGroup().

## m_boxType

unsigned char WP5BoxGroup::m_boxType

private

Referenced by _readContents(), parse(), and WP5BoxGroup().

## m_data

const librevenge::RVNGBinaryData* WP5BoxGroup::m_data

private

Referenced by parse(), and WP5BoxGroup().

## m_graphicsOffset

unsigned short WP5BoxGroup::m_graphicsOffset

private

Referenced by _readContents(), parse(), and WP5BoxGroup().

## m_height

unsigned short WP5BoxGroup::m_height

private

Referenced by _readContents(), parse(), and WP5BoxGroup().

## m_positionAndType

unsigned char WP5BoxGroup::m_positionAndType

private

Referenced by _readContents(), parse(), and WP5BoxGroup().

## m_width

unsigned short WP5BoxGroup::m_width

private

Referenced by _readContents(), parse(), and WP5BoxGroup().

## m_x

unsigned short WP5BoxGroup::m_x

private

Referenced by _readContents(), parse(), and WP5BoxGroup().

## m_y

unsigned short WP5BoxGroup::m_y

private

Referenced by _readContents(), parse(), and WP5BoxGroup().

The documentation for this class was generated from the following files:

- WP5BoxGroup.h
- WP5BoxGroup.cpp